Skip to main content

Cancel order row

Cancels an order row.
Can only be done on an order that has not been delivered or cancelled.

Path Parameters
orderId int32 — REQUIRED

The id of the order containing the order row.

orderRowId int32 — REQUIRED

The id of the order row to cancel.

Query Parameters
skipRestock boolean

If true will not restock the item that was cancelled. Defaults to false.

Responses
200

Ok.

Schema — OPTIONAL
Message string — OPTIONAL

A status message for the action taken.

Details string[] — OPTIONAL

Any validation messages for the data on the current action.

400

Bad request.

Schema — OPTIONAL
Message string — OPTIONAL

A status message for the action taken.

Details string[] — OPTIONAL

Any validation messages for the data on the current action.

404

Not found.

Schema — OPTIONAL
Message string — OPTIONAL

A status message for the action taken.

Details string[] — OPTIONAL

Any validation messages for the data on the current action.